Subject: Re: bug#44090: Packaging a python library that is implemented with rust

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 01 Feb 2021 14:02:27 -0500

Hello Hamzeh,

"Hamzeh Nasajpour" <[email-masked]> writes:

> Hi,
>
> I'm not expert in rust and python but I need to package a python library, and this python library is a wrapper over the rust library. This library is using the `setuptools_rust` for build/install. 
> * python library: https://github.com/etesync/etebase-py
> * rust library: https://github.com/etesync/etebase-rs
> * `setup.py`: https://github.com/etesync/etebase-py/blob/master/setup.py
>
> Anyway I need to package this python library. Since guix has two different build system for `python` and `rust` I don't know how can I package it. It's a python library but it should install some rust library inside the python system build.

[...]

> Sorry for duplication, I sent this email here too: https://lists.gnu.org/archive/html/help-guix/2020-10/msg00092.html
> then I thought this mailing list is better for asking this type questions.

The original list was better suited for this kind of question.  This
list is about actual *bugs*, rather than general question.  I see you've
had a reply from Leo; hopefully that answered your question.

Closing.

Maxim